Topic: Debian Stretch: dist-upgrade, kosagi repo, state of graphic drivers

Hello,


I am running Debian Jessie as a desktop on the Novena. I want to upgrade to Debian Stretch.

The Debian installer for the Novena exists only for Jessie.
Does a new minimal Jessie installation (with the Debian installer for Novena) plus aptitude dist-upgrade result in a usable Stretch?

In the kosagi repo I see only directories for Jessie.
Is there a repo for Stretch?
If not: How to get stuff like xserver-xorg-video-armada?

Because I use Novena as a desktop, I need graphic acceleration. Are 2D and the basic 3D acceleration (without the binary blobs) in the current Stretch kernel included?


Thank you and regards
Linob

2 (edited by chris4795 2017-10-22 22:29:06)

Re: Debian Stretch: dist-upgrade, kosagi repo, state of graphic drivers

Hello,

I had no trouble with it. All you need to do is change the repos in /etc/apt/sources.list from Jessie to Stretch (with the exception of the novena.io one). It's pretty atraight forward.

EDIT: As I am sure you have noticed, I have been trying to get things more up to date to get Stretch working. I have a thread on a new kernel and new u-boot. The new u-boot has the support files to propoerly install the kernel with initramfs (so full disk encryption works). The kernel is still on 4.4, but it is being supported until 2022. Since the newest LTS kernel will be 4.14, I am thinking it would be a good idea to port all of the patches to that. etnaviv has been upstreamed to the kernel and to the DRM, how the debian archives do not have etnaviv extensions in stable, onlu unstable. However, you can get the package yourself and recompile it with that extension and install it yourself. That makes most of the packages on the novena.io related to xserver unnessesary.

However, the novena.io will no longer update, as it is signed with an older hashing algorithm.

Re: Debian Stretch: dist-upgrade, kosagi repo, state of graphic drivers

chris4795 wrote:

I have a thread on a new kernel and new u-boot. The new u-boot has the support files to propoerly install the kernel with initramfs (so full disk encryption works). The kernel is still on 4.4, but it is being supported until 2022.

I know this is old, but did you do the new u-boot  (etc) with jessie or after upgrading to stretch.

Re: Debian Stretch: dist-upgrade, kosagi repo, state of graphic drivers

I did it with Jessie. If you go to my github, it has all of the info to compile from scratch (https://github.com/chris4795).

I can look in my hard drive to see if Ihave it compiled too if you need.

Re: Debian Stretch: dist-upgrade, kosagi repo, state of graphic drivers

I'm planning to put out a Buster repo with fixed kernel and other stuff similiar to novena.io. If you're interested in helping out by testing, hit me up in PM or as Jookia on OFTC/Kosagi

Re: Debian Stretch: dist-upgrade, kosagi repo, state of graphic drivers

Hello!

Sorry I don't come here very often anymore. Glad to help out if I can.

Re: Debian Stretch: dist-upgrade, kosagi repo, state of graphic drivers

Ok, so it's been a loong time and I've started work back on things. Hopefully next week I'll have a script out that will update people to Buster with working GPU drivers while still maintaining 4.4.

Re: Debian Stretch: dist-upgrade, kosagi repo, state of graphic drivers

Ok, a month later you can now try Buster: https://www.kosagi.com/forums/viewtopic.php?pid=3428